#
# spec file for package python-swauth
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-swauth
Version:        1.0.8
Release:        1.1
Summary:        OpenStack Swift - SwiftAuth
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/fujita/swauth
# Upstream source URL:  https://github.com/gholt/swauth/archive/1.0.8.tar.gz
Source:         swauth-%{version}.tar.gz
BuildRequires:  python-devel
# Documentation requirements:
BuildRequires:  python-Sphinx
# Test requirements:
BuildRequires:  python-nose
BuildRequires:  python-swift
Requires:       python-swift
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
An Auth Service for Swift as WSGI Middleware that uses Swift itself as a backing store.

%prep
%setup -q -n swauth-%{version}

%build
python setup.py build
python setup.py build_sphinx

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -r %{buildroot}%{python_sitelib}/test_swauth  # Don't ship testsuite

%check
nosetests

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.md doc/build/html
%{_bindir}/swauth-add-account
%{_bindir}/swauth-add-user
%{_bindir}/swauth-cleanup-tokens
%{_bindir}/swauth-delete-account
%{_bindir}/swauth-delete-user
%{_bindir}/swauth-list
%{_bindir}/swauth-prep
%{_bindir}/swauth-set-account-service
%{python_sitelib}/swauth
%{python_sitelib}/swauth-%{version}-py%{py_ver}.egg-info

%changelog
* Thu Dec  5 2013 speilicke@suse.com
- Initial version
